<?php
  
 Namespace FiloBlu\PrivacyPolicy\Controller\Index;
  
 use Magento\Framework\App\Action\Context;
 use Magento\Framework\Controller\Result\JsonFactory;
 use Magento\Customer\Model\Session;
 use Magento\Customer\Api\CustomerRepositoryInterface;
 use Magento\Framework\App\Config\ScopeConfigInterface;

 class GetData extends \Magento\Framework\App\Action\Action{
    
    /**
     * @var JsonFactory
     */
    private $resultJsonFactory;

    /** 
     * @var Session
     */
    private $customerSession;
    
    /**
     * @var CustomerRepositoryInterface
     */
    private $customerRepository;

    /**
     * @var ScopeConfigInterface
     */
    private $scopeConfig;

     /**
     * @param Context $context
     * @param JsonFactory $resultJsonFactory
     * @param Session $customerSession
     * @param CustomerRepositoryInterface $customerRepository
     * @param ScopeConfigInterface $scopeConfig
     */

    public function __construct(
        Context $context,
        JsonFactory $resultJsonFactory,
        Session $customerSession,
        CustomerRepositoryInterface $customerRepository,
        ScopeConfigInterface $scopeConfig
    ) {
        parent::__construct($context);
        $this->resultJsonFactory = $resultJsonFactory;
        $this->customerSession = $customerSession;
        $this->customerRepository = $customerRepository;
        $this->scopeConfig = $scopeConfig;
    }
  
    public function execute()
    {   

        $response = false;
        $customerVersionAccepted = '';

        if ($this->getRequest()->isXmlHttpRequest()) {

            if($this->customerSession->isLoggedIn()){

                $cutomerId = $this->customerSession->getCustomer()->getId();
                $customer = $this->customerRepository->getById($cutomerId);
                
                if(!empty($attrField = $customer->getCustomAttribute('privacy_version_accepted'))){
                    $customerVersionAccepted = $attrField->getValue();
                }

                $storeScope = \Magento\Store\Model\ScopeInterface::SCOPE_STORES;
                $privacyStoreVersion = (int)$this->scopeConfig->getValue('filoblu_privacypolicy_section/general/privacy_store_version' , $storeScope);

                if(empty($customerVersionAccepted) || (!empty($customerVersionAccepted) && $customerVersionAccepted < $privacyStoreVersion)){
                    $response = true;
                }
            }
        }
      
        $resultJson = $this->resultJsonFactory->create();
        $resultJson->setData($response);  // array value set in Json Result Data set
        
        return $resultJson; // return json object
    }
 }
 ?>