<?php
  
 Namespace FiloBlu\PrivacyPolicy\Controller\Index;
  
 use Magento\Framework\App\Action\Context;
 use Magento\Customer\Model\Session;
 use Magento\Customer\Api\CustomerRepositoryInterface;
 use Magento\Framework\App\Config\ScopeConfigInterface;

 class SetData extends \Magento\Framework\App\Action\Action{
    
    /**
     * @var ScopeConfigInterface
     */
    private $scopeConfig;
    
    /**
     * @var Session
     */
    protected $customerSession;

    /**
     * @var CustomerRepositoryInterface
     */
    protected $customerRepository;

    /**
     * @param Context $context
     * @param ScopeConfigInterface $scopeConfig
     * @param Session $customerSession
     * @param CustomerRepositoryInterface $customerRepository
     */

    public function __construct(
        Context $context,
        ScopeConfigInterface $scopeConfig,
        Session $customerSession,
        CustomerRepositoryInterface $customerRepository
    ) {
        parent::__construct($context);
        $this->scopeConfig = $scopeConfig;
        $this->customerSession = $customerSession;
        $this->customerRepository = $customerRepository;
    }
  
    public function execute()
    {      

        if ($this->getRequest()->isXmlHttpRequest()) {
            $storeScope = \Magento\Store\Model\ScopeInterface::SCOPE_STORES;
            $privacyStoreVersion = (int)$this->scopeConfig->getValue('filoblu_privacypolicy_section/general/privacy_store_version' , $storeScope);
    
            $customerId = $this->customerSession->getId();
            if(!is_null($customerId)){
                if($customer = $this->customerRepository->getById($customerId)){
                    $customer->setCustomAttribute('privacy_version_accepted', $privacyStoreVersion);
                    $this->customerRepository->save($customer);
                }            
            }
        }
    }
 }
 ?>